Parser::Style::Subs(3)

NAME
XML::Parser::Style::Subs

SYNOPSIS
  use XML::Parser;
  my $p = XML::Parser->new(Style => 'Subs', Pkg => 'MySubs');
  $p->parsefile('foo.xml');

  {
    package MySubs;

    sub foo {
      # start of foo tag
    }

    sub foo_ {
      # end of foo tag
    }
  }

DESCRIPTION
Each time an element starts, a sub by that name in the package specified by the Pkg option is called with the same parameters that the Start handler gets called with.

Each time an element ends, a sub with that name appended with an underscore ("_"), is called with the same parameters that the End handler gets called with.

Nothing special is returned by parse.